grep-commit
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

grep branch, master, updated. v2.14-41-g198abd5


From: Jim Meyering
Subject: grep branch, master, updated. v2.14-41-g198abd5
Date: Wed, 02 Oct 2013 00:16:33 +0000

This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "grep".

The branch, master has been updated
       via  198abd506b32396a02ec7e2c23612efd96cfacef (commit)
       via  01ec90be31ced413499acbafb9165f52d5903eaa (commit)
      from  e27403159f3dafba8dcb541d7ada76b5caf92d99 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
http://git.savannah.gnu.org/cgit/grep.git/commit/?id=198abd506b32396a02ec7e2c23612efd96cfacef


commit 198abd506b32396a02ec7e2c23612efd96cfacef
Author: Jim Meyering <address@hidden>
Date:   Sun Sep 22 21:47:31 2013 -0700

    tests: ensure neither \s nor \S matches an invalid multibyte character
    
    * tests/backslash-S-vs-invalid-multitype: New file.
    Prompted by the bug report from Roman at
    http://savannah.gnu.org/bugs/?40009
    * tests/Makefile.am (TESTS): Add it.

diff --git a/tests/Makefile.am b/tests/Makefile.am
index 760f793..a64a2d2 100644
--- a/tests/Makefile.am
+++ b/tests/Makefile.am
@@ -36,6 +36,7 @@ TESTS =                                               \
   backref                                      \
   backref-multibyte-slow                       \
   backref-word                                 \
+  backslash-s-vs-invalid-multitype             \
   big-hole                                     \
   big-match                                    \
   bogus-wctob                                  \
diff --git a/tests/backslash-s-vs-invalid-multitype 
b/tests/backslash-s-vs-invalid-multitype
new file mode 100755
index 0000000..4f1a71d
--- /dev/null
+++ b/tests/backslash-s-vs-invalid-multitype
@@ -0,0 +1,26 @@
+#! /bin/sh
+# Ensure that neither \s nor \S matches an invalid multibyte character.
+#
+# Copyright (C) 2013 Free Software Foundation, Inc.
+#
+# Copying and distribution of this file, with or without modification,
+# are permitted in any medium without royalty provided the copyright
+# notice and this notice are preserved.
+
+. "${srcdir=.}/init.sh"; path_prepend_ ../src
+
+require_en_utf8_locale_
+
+LC_ALL=en_US.UTF-8
+export LC_ALL
+
+printf '\x82\n' > in || framework_failure_
+
+fail=0
+grep '^\S$' in > out-S && fail=1
+compare /dev/null out-S || fail=1
+
+grep '^\s$' in > out-s && fail=1
+compare /dev/null out-s || fail=1
+
+Exit $fail

http://git.savannah.gnu.org/cgit/grep.git/commit/?id=01ec90be31ced413499acbafb9165f52d5903eaa


commit 198abd506b32396a02ec7e2c23612efd96cfacef
Author: Jim Meyering <address@hidden>
Date:   Sun Sep 22 21:47:31 2013 -0700

    tests: ensure neither \s nor \S matches an invalid multibyte character
    
    * tests/backslash-S-vs-invalid-multitype: New file.
    Prompted by the bug report from Roman at
    http://savannah.gnu.org/bugs/?40009
    * tests/Makefile.am (TESTS): Add it.

diff --git a/tests/Makefile.am b/tests/Makefile.am
index 760f793..a64a2d2 100644
--- a/tests/Makefile.am
+++ b/tests/Makefile.am
@@ -36,6 +36,7 @@ TESTS =                                               \
   backref                                      \
   backref-multibyte-slow                       \
   backref-word                                 \
+  backslash-s-vs-invalid-multitype             \
   big-hole                                     \
   big-match                                    \
   bogus-wctob                                  \
diff --git a/tests/backslash-s-vs-invalid-multitype 
b/tests/backslash-s-vs-invalid-multitype
new file mode 100755
index 0000000..4f1a71d
--- /dev/null
+++ b/tests/backslash-s-vs-invalid-multitype
@@ -0,0 +1,26 @@
+#! /bin/sh
+# Ensure that neither \s nor \S matches an invalid multibyte character.
+#
+# Copyright (C) 2013 Free Software Foundation, Inc.
+#
+# Copying and distribution of this file, with or without modification,
+# are permitted in any medium without royalty provided the copyright
+# notice and this notice are preserved.
+
+. "${srcdir=.}/init.sh"; path_prepend_ ../src
+
+require_en_utf8_locale_
+
+LC_ALL=en_US.UTF-8
+export LC_ALL
+
+printf '\x82\n' > in || framework_failure_
+
+fail=0
+grep '^\S$' in > out-S && fail=1
+compare /dev/null out-S || fail=1
+
+grep '^\s$' in > out-s && fail=1
+compare /dev/null out-s || fail=1
+
+Exit $fail

-----------------------------------------------------------------------

Summary of changes:
 NEWS                                   |    7 ++++
 src/dfa.c                              |   47 ++++++++++++++++++++++++-----
 tests/Makefile.am                      |    2 +
 tests/backslash-s-vs-invalid-multitype |   26 ++++++++++++++++
 tests/multibyte-white-space            |   51 ++++++++++++++++++++++++++++++++
 5 files changed, 125 insertions(+), 8 deletions(-)
 create mode 100755 tests/backslash-s-vs-invalid-multitype
 create mode 100755 tests/multibyte-white-space


hooks/post-receive
-- 
grep



reply via email to

[Prev in Thread] Current Thread [Next in Thread]